godo.Monitoring.GetDbaasMysqlOpRates()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Monitoring.GetDbaasMysqlOpRates(ctx context.Context, args *godo.DbaasMysqlOpRatesRequest) (*godo.MetricsResponse, *godo.Response, error)Description
GetDbaasMysqlOpRates retrieves operations rate (select, insert, update, delete per second) for a MySQL service.
This method sends a GET request to /v2/monitoring/metrics/database/mysql/op_rates.
Parameters
args*godo.DbaasMysqlOpRatesRequest required
Fields of godo.DbaasMysqlOpRatesRequest
DbaasMysqlOpRatesRequest holds the information needed to retrieve MySQL service operations rate. Metric: select, insert, update, delete.
DbaasMysqlServiceMetricsRequestgodo.DbaasMysqlServiceMetricsRequestMetricstringselect, insert, update, delete
Returns
- *godo.MetricsResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.MetricsResponse
MetricsResponse holds a Metrics query response.
StatusstringDatagodo.MetricsData
Request Sample
More Information
See GET /v2/monitoring/metrics/database/mysql/op_rates in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.